> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Graph API configuration

> Creates a new Microsoft Graph API configuration for email integration



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public post /connections/graph/config
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /connections/graph/config:
    post:
      tags:
        - GraphAPI
      summary: Create Graph API configuration
      description: Creates a new Microsoft Graph API configuration for email integration
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/graph.GraphConfigCreateRequest'
        description: Graph API configuration
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/graph.GraphConfig'
          description: Created configuration
        '400':
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Bad request
        '401':
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Internal server error
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    graph.GraphConfigCreateRequest:
      properties:
        client_id:
          type: string
        client_secret:
          type: string
        enabled:
          type: boolean
        monitored_inbox:
          type: string
        tenant_id:
          type: string
      type: object
    graph.GraphConfig:
      properties:
        client_id:
          type: string
        client_secret:
          description: encrypted at rest
          type: string
        company_id:
          type: string
        created_at:
          type: string
        enabled:
          type: boolean
        id:
          type: string
        monitored_inbox:
          description: Email configuration
          type: string
        tenant_id:
          type: string
        updated_at:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey

````